import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JEditorPane;
import java.beans.*; //Property change stuff
import java.awt.*;
import java.awt.event.*;

class JobPropertiesView extends JDialog {
	private JOptionPane optionPane;

	public JobPropertiesView(Frame aFrame, String htmlDefinition) {
        super(aFrame, true);
        setTitle("Job Properties View");
		
        final JEditorPane defField = new JEditorPane("text/html", 
							htmlDefinition);
		final JScrollPane viewer = new JScrollPane(defField);
		defField.setEditable(false);
        viewer.setMinimumSize(new Dimension(500, 400));
		Object[] array = {viewer};

        final String btnClose = "Close";
        Object[] options = {btnClose};

        optionPane = new JOptionPane(array, 
                                    JOptionPane.PLAIN_MESSAGE,
                                    JOptionPane.OK_OPTION,
                                    null,
                                    options,
                                    options[0]);
		optionPane.setPreferredSize(new Dimension(550, 500));
		setContentPane(optionPane);
		
		optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
				setVisible(false);
            }
        });
		
    }
}
